class Clock{
  int x;
  int y;
  boolean counting=false;
  boolean white=false;
  float w=width/60;
  int inc=1;
  Clock(int xx,int yy){
    x=xx;
    y=yy;
  }

  void init(float mm, int ss){
    inc=constrain(int(mm/15),1,60);
    for (int i=ss;i<=mm*60;i=i+inc){ 
      pie(mm*60,i,2,3);

    }
    for (int i=ss;i<=mm*60;i=i+60){ 
      pie(mm*60,i,3,4);

    }




    if (white){
      fill(155);
      noStroke();
    }
    else{
      noFill();
      stroke(155);
      strokeWeight(3);

    }

    if (ss>mm*60){
      strokeWeight(3);
      stroke(255,0,0);
    }

    ellipse(x,y,w,w);
  }

  //void pie(total, incriment, linestart,lineend);
  void pie(float t, int d, int l1,int l2){

    pushMatrix();
    float angle=PI-(TWO_PI/t*d);
    translate(x,y);
    if(counting){
      stroke(255/t*(d+1)+(l1),20/t*(d+1),255-255*(d+1)/t);
    }
    else{
      stroke(100);

    }
    float xx=sin(angle)*(width/2-width/5);
    float yy=cos(angle)*(width/2-width/5);
    strokeWeight(1);
    line(xx/(l1),yy/(l1),xx/(l2),yy/(l2));

    popMatrix();
  }



  void startButton(){
    pushMatrix();
    fill(155);
    stroke(155);
    ellipse(x,y,w,w);
    popMatrix();
    if(mousePressed&&mouseX>x-w/2&&mouseX<x+w/2&&mouseY>y-w/2&&mouseY<y+w/2){
      reset();
      counting= true;
      white=true;
    }
  }
}
